HotDeploymentTool (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.j2ee.HotDeploymentTool interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.j2ee
Interface HotDeploymentTool

All Known Implementing Classes:
  AbstractHotDeploymentTool, JonasHotDeploymentTool, WebLogicHotDeploymentTool

public interface HotDeploymentTool

An interface for vendor-specific "hot" deployment tools.

Author:
  Christopher A. Longo - cal@cloud9.net
See Also:
  `AbstractHotDeploymentTool`, `ServerDeploy`

Field Summary
`static java.lang.String` | `ACTION_DELETE` The delete action String
`static java.lang.String` | `ACTION_DEPLOY` The deploy action String
`static java.lang.String` | `ACTION_LIST` The list action String
`static java.lang.String` | `ACTION_UNDEPLOY` The undeploy action String
`static java.lang.String` | `ACTION_UPDATE` The update action String

Method Summary
`void` | `deploy()` Perform the actual deployment.
`void` | `setTask(ServerDeploy task)` Sets the parent task.
`void` | `validateAttributes()` Validates the passed in attributes.

Field Detail

### ACTION_DELETE

    public static final java.lang.String ACTION_DELETE

  The delete action String

  See Also:
    Constant Field Values

### ACTION_DEPLOY

    public static final java.lang.String ACTION_DEPLOY

  The deploy action String

  See Also:
    Constant Field Values

### ACTION_LIST

    public static final java.lang.String ACTION_LIST

  The list action String

  See Also:
    Constant Field Values

### ACTION_UNDEPLOY

    public static final java.lang.String ACTION_UNDEPLOY

  The undeploy action String

  See Also:
    Constant Field Values

### ACTION_UPDATE

    public static final java.lang.String ACTION_UPDATE

  The update action String

  See Also:
    Constant Field Values

Method Detail

### validateAttributes

    public void validateAttributes()
                            throws BuildException

  Validates the passed in attributes.

  Throws:
    `BuildException` - if the attributes are invalid or incomplete.

### deploy

    public void deploy()
                throws BuildException

  Perform the actual deployment.

  Throws:
    `BuildException` - if the attributes are invalid or incomplete.

### setTask

    public void setTask(ServerDeploy task)

  Sets the parent task.

  Parameters:
    `task` - A ServerDeploy object representing the parent task.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.